package es.gob.jmulticard.card.icao;

import java.util.Properties;

/** Diccionario con los c&oacute;digos de pa&iacute;ses ICAO.
 * @author Tom&aacute;s Garc&iacute;a-Mer&aacute;s. */
public final class CountryCodes {

	/** Tabla interna de correspondecia entre c&oacute;digos y nombres de pa&iacute;s. */
    private static final Properties CC = new Properties();
    static {
        CC.put("ABW", "Aruba"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("AFG", "Afghanistan"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("AGO", "Angola"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("AIA", "Anguilla"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("ALA", "\u00c5land Islands"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("ALB", "Albania"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("AND", "Andorra"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("ANT", "Netherlands Antilles"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("ARE", "United Arab Emirates"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("ARG", "Argentina"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("ARM", "Armenia"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("ASM", "American Samoa"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("ATA", "Antarctica"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("ATF", "French Southern Territories"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("ATG", "Antigua and Barbuda"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("AUS", "Australia"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("AUT", "Austria"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("AZE", "Azerbaijan"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("BDI", "Burundi"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("BDR", "Bundesdruckerei"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("BEL", "Belgium"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("BEN", "Benin"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("BFA", "Burkina Faso"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("BGD", "Bangladesh"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("BGR", "Bulgaria"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("BHR", "Bahrain"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("BHS", "Bahamas"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("BIH", "Bosnia and Herzegovina"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("BLR", "Belarus"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("BLZ", "Belize"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("BMU", "Bermuda"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("BOL", "Bolivia"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("BRA", "Brazil"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("BRB", "Barbados"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("BRN", "Brunei Darussalam"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("BTN", "Bhutan"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("BVT", "Bouvet Island"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("BWA", "Botswana"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("CAF", "Central African Republic"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("CAN", "Canada"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("CCK", "Cocos (Keeling) Islands"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("CHE", "Switzerland"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("CHL", "Chile"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("CHN", "China"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("CIV", "C\u00f4te d'Ivoire"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("CMR", "Cameroon"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("COD", "Congo, the Democratic Republic of the"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("COG", "Congo"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("COK", "Cook Islands"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("COL", "Colombia"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("COM", "Comoros"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("CPV", "Cape Verde"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("CRI", "Costa Rica"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("CUB", "Cuba"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("CXR", "Christmas Island"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("CYM", "Cayman Islands"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("CYP", "Cyprus"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("CZE", "Czech Republic"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("DEU", "Germany"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("DJI", "Djibouti"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("DMA", "Dominica"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("DNK", "Denmark"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("DOM", "Dominican Republic"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("DZA", "Algeria"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("ECU", "Ecuador"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("EGY", "Egypt"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("ERI", "Eritrea"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("ESH", "Western Sahara"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("ESP", "Espa\u00f1a"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("EST", "Estonia"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("ETH", "Ethiopia"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("FIN", "Finland"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("FJI", "Fiji"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("FLK", "Falkland Islands (Malvinas)"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("FRA", "France"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("FRO", "Faroe Islands"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("FSM", "Micronesia, Federated States of"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("GAB", "Gabon"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("GBR", "United Kingdom"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("GEO", "Georgia"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("GGY", "Guernsey"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("GHA", "Ghana"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("GIB", "Gibraltar"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("GIN", "Guinea"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("GLP", "Guadeloupe"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("GMB", "Gambia"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("GNB", "Guinea-Bissau"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("GNQ", "Equatorial Guinea"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("GRC", "Greece"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("GRD", "Grenada"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("GRL", "Greenland"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("GTM", "Guatemala"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("GUF", "French Guiana"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("GUM", "Guam"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("GUY", "Guyana"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("HKG", "Hong Kong"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("HMD", "Heard Island and McDonald Islands"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("HND", "Honduras"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("HRV", "Croatia"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("HTI", "Haiti"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("HUN", "Hungary"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("IDN", "Indonesia"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("IMN", "Isle of Man"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("IND", "India"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("IOT", "British Indian Ocean Territory"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("IRL", "Ireland"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("IRN", "Iran, Islamic Republic of"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("IRQ", "Iraq"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("ISL", "Iceland"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("ISR", "Israel"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("ITA", "Italy"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("JAM", "Jamaica"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("JEY", "Jersey"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("JOR", "Jordan"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("JPN", "Japan"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("KAZ", "Kazakhstan"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("KEN", "Kenya"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("KGZ", "Kyrgyzstan"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("KHM", "Cambodia"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("KIR", "Kiribati"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("KNA", "Saint Kitts and Nevis"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("KOR", "Korea, Republic of"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("KWT", "Kuwait"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("LAO", "Lao People's Democratic Republic"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("LBN", "Lebanon"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("LBR", "Liberia"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("LBY", "Libyan Arab Jamahiriya"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("LCA", "Saint Lucia"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("LIE", "Liechtenstein"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("LKA", "Sri Lanka"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("LSO", "Lesotho"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("LTU", "Lithuania"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("LUX", "Luxembourg"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("LVA", "Latvia"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("MAC", "Macao"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("MAR", "Morocco"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("MCO", "Monaco"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("MDA", "Moldova, Republic of"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("MDG", "Madagascar"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("MDV", "Maldives"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("MEX", "Mexico"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("MHL", "Marshall Islands"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("MKD", "Macedonia, the former Yugoslav Republic of"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("MLI", "Mali"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("MLT", "Malta"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("MMR", "Myanmar"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("MNE", "Montenegro"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("MNG", "Mongolia"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("MNP", "Northern Mariana Islands"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("MOZ", "Mozambique"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("MRT", "Mauritania"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("MSR", "Montserrat"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("MTQ", "Martinique"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("MUS", "Mauritius"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("MWI", "Malawi"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("MYS", "Malaysia"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("MYT", "Mayotte"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("NAM", "Namibia"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("NCL", "New Caledonia"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("NER", "Niger"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("NFK", "Norfolk Island"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("NGA", "Nigeria"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("NIC", "Nicaragua"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("NIU", "Niue"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("NLD", "Netherlands"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("NOR", "Norway"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("NPL", "Nepal"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("NRU", "Nauru"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("NZL", "New Zealand"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("OMN", "Oman"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("PAK", "Pakistan"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("PAN", "Panama"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("PCN", "Pitcairn"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("PER", "Peru"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("PHL", "Philippines"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("PLW", "Palau"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("PNG", "Papua New Guinea"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("POL", "Poland"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("PRI", "Puerto Rico"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("PRK", "Korea, Democratic People's Republic of"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("PRT", "Portugal"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("PRY", "Paraguay"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("PSE", "Palestinian Territory, Occupied"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("PYF", "French Polynesia"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("QAT", "Qatar"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("REU", "R\u00e9union"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("ROU", "Romania"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("RUS", "Russian Federation"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("RWA", "Rwanda"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("SAU", "Saudi Arabia"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("SDN", "Sudan"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("SEN", "Senegal"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("SGP", "Singapore"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("SGS", "South Georgia and the South Sandwich Islands"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("SHN", "Saint Helena"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("SJM", "Svalbard and Jan Mayen"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("SLB", "Solomon Islands"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("SLE", "Sierra Leone"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("SLV", "El Salvador"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("SMR", "San Marino"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("SOM", "Somalia"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("SPM", "Saint Pierre and Miquelon"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("SRB", "Serbia"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("STP", "Sao Tome and Principe"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("SUR", "Suriname"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("SVK", "Slovakia"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("SVN", "Slovenia"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("SWE", "Sweden"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("SWZ", "Swaziland"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("SYC", "Seychelles"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("SYR", "Syrian Arab Republic"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("TCA", "Turks and Caicos Islands"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("TCD", "Chad"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("TGO", "Togo"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("THA", "Thailand"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("TJK", "Tajikistan"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("TKL", "Tokelau"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("TKM", "Turkmenistan"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("TLS", "Timor-Leste"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("TON", "Tonga"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("TTO", "Trinidad and Tobago"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("TUN", "Tunisia"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("TUR", "Turkey"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("TUV", "Tuvalu"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("TWN", "Taiwan, Province of China"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("TZA", "Tanzania, United Republic of"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("UGA", "Uganda"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("UKR", "Ukraine"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("UMI", "United States Minor Outlying Islands"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("URY", "Uruguay"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("USA", "United States"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("UTO", "Utopia"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("UZB", "Uzbekistan"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("VAT", "Holy See (Vatican City State)"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("VCT", "Saint Vincent and the Grenadines"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("VEN", "Venezuela"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("VGB", "Virgin Islands, British"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("VIR", "Virgin Islands, U.S."); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("VNM", "Viet Nam"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("VUT", "Vanuatu"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("WLF", "Wallis and Futuna"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("WSM", "Samoa"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("YEM", "Yemen"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("ZAF", "South Africa"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("ZMB", "Zambia"); //$NON-NLS-1$ //$NON-NLS-2$
        CC.put("ZWE", "Zimbabwe"); //$NON-NLS-1$ //$NON-NLS-2$
    }

    private CountryCodes() {
    	// No instanciable
    }

    /** Obtiene el nombre de pa&iacute;s a partir de su c&oacute;digo ICAO.
     * @param code C&oacute;digo ICAO de pa&iacute;s.
     * @return Nombre del pa&iacute;s (en ingl&eacute;s). */
    public static String getCountryName(final String code) {
    	if (code == null) {
    		return null;
    	}
    	return CC.getProperty(code);
    }
}
